:root {
  --component-preview-bg: var(--vp-c-bg);
  --component-preview-soft: var(--vp-c-bg-soft);
  --component-preview-mute: var(--vp-c-bg-mute);
  --component-preview-border: rgb(240, 240, 240);
  --component-preview-text-1: var(--vp-c-text-1);
  --component-preview-text-2: var(--vp-c-text-2);
  --component-preview-text-3: var(--vp-c-text-3);
  --component-preview-text-4: var(--vp-c-text-4);
  --component-preview-code-block-bg: #343030;
  --component-preview-primary-color: var(--vp-c-brand);
}

.dark:root {
  --component-preview-bg: var(--vp-c-bg);
  --component-preview-soft: var(--vp-c-bg-soft);
  --component-preview-mute: var(--vp-c-bg-mute);
  --component-preview-border: rgb(240, 240, 240, 0.1);
  --component-preview-text-1: var(--vp-c-text-1);
  --component-preview-text-2: var(--vp-c-text-2);
  --component-preview-text-3: var(--vp-c-text-3);
  --component-preview-text-4: var(--vp-c-text-4);
  --component-preview-code-block-bg: #282626;
  --component-preview-primary-color: var(--vp-c-brand);
}

$defaultPrefix: 'vitepress-demo-preview';

.#{$defaultPrefix}-message-notice__container {
  display: flex;
  align-items: center;
  border: 1px solid var(--component-preview-border);
  padding: 8px 30px;
  border-radius: 4px;
  font-size: 12px;
  color: var(--component-preview-primary-color);
  position: fixed;
  left: 50%;
  transform: translateX(-50%);
  z-index: 999;

  svg {
    display: inline-block;
    fill: currentColor;
    color: var(--component-preview-primary-color);
    cursor: pointer;
    margin-right: 4px;
  }
}

.slide-fade-leave-active,
.slide-fade-enter-active {
  transition: all 0.25s ease-in-out;
}

.slide-fade-enter-from,
.slide-fade-leave-to {
  transform: translate(-50%, -75px);
  opacity: 0;
}
